function [F, J] = toyfun(x,A,b,c)
    % min { 0.5|Ax - b|^2, 0.5|Ax - c|^2}
    % s.t. |x|_1 <= 1
    Ax = A*x;
    res1 = Ax - b;
    res2 = Ax - c;

    F = [ 0.5*(res1)'*res1;
          0.5*(res2)'*res2 ];

    if nargout > 1
        J = [ (A'*res1)'; 
              (A'*res2)' ];
    end

end